%define upstream_name    KiokuDB-Backend-DBI
%define upstream_version 1.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    L<KiokuDB::TypeMap::Entry>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/KiokuDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI) >= 1.607.0
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(DBIx::Class::Core)
BuildRequires: perl(DBIx::Class::Optional::Dependencies)
BuildRequires: perl(DBIx::Class::ResultSource::Table)
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(Data::Stream::Bulk) >= 0.70.0
BuildRequires: perl(Data::Stream::Bulk::DBI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(JSON)
BuildRequires: perl(KiokuDB) >= 0.460.0
BuildRequires: perl(KiokuDB::Backend)
BuildRequires: perl(KiokuDB::Backend::Role::Clear)
BuildRequires: perl(KiokuDB::Backend::Role::Concurrency::POSIX)
BuildRequires: perl(KiokuDB::Backend::Role::GC)
BuildRequires: perl(KiokuDB::Backend::Role::Query::GIN)
BuildRequires: perl(KiokuDB::Backend::Role::Query::Simple)
BuildRequires: perl(KiokuDB::Backend::Role::Scan)
BuildRequires: perl(KiokuDB::Backend::Role::TXN)
BuildRequires: perl(KiokuDB::Backend::Serialize::Delegate)
BuildRequires: perl(KiokuDB::Test)
BuildRequires: perl(KiokuDB::TypeMap)
BuildRequires: perl(KiokuDB::TypeMap::Entry)
BuildRequires: perl(KiokuDB::TypeMap::Entry::Naive)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types) >= 0.80.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(SQL::Abstract)
BuildRequires: perl(SQL::Translator) >= 0.110.60
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Search::GIN) >= 0.70.0
BuildRequires: perl(Search::GIN::Extract::Callback)
BuildRequires: perl(Search::GIN::Extract::Class)
BuildRequires: perl(Search::GIN::Extract::Delegate)
BuildRequires: perl(Search::GIN::Query::Manual)
BuildRequires: perl(Search::GIN::Query::Set)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::TempDir)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This the DBIx::Class manpage component provides the code necessary for the
DBIx::Class::Row manpage objects to refer to the KiokuDB manpage objects
stored in the KiokuDB::Backend::DBI manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-2.mga3
+ Revision: 368833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.220.0-1.mga3
+ Revision: 270278
- update to 1.22

* Thu Oct 13 2011 jquelin <jquelin> 1.210.0-1.mga2
+ Revision: 154271
- update to 1.21

* Wed Jun 15 2011 jquelin <jquelin> 1.200.0-1.mga2
+ Revision: 107020
- update to 1.20

* Wed Mar 09 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 67001
- update to 1.19

* Thu Jan 27 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 41847
- mageia rebuild
- imported package perl-KiokuDB-Backend-DBI

